package com.ruoyi.iot.transdata.entity.opertype;

public enum OperEnum {
    SetMainBord(1,"设置主板参数"),
    GetMainBord(2,"获取主板参数"),
    StartCharge(3,"开始充电"),
    EndCharge(4,"结束充电"),
    RestartDevice(5,"重启设备"),
    PortStatus(6,"查看端口状态"),
    PortDetail(7,"查看端口详情"),
    PortOper(8,"操作端口"),
    DEVICESTATUS(9,"获取设备状态39761"),
    ResetDevice(10,"重置设备状态"),
    PlanCHarge(11,"预约充电");
    private int type;

    private String desc;

    OperEnum(int type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public int getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }
}
